Eclipse Platform Release 3.7

## org.eclipse.ui.contexts
Class NotDefinedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ui.contexts.ContextException
                  org.eclipse.ui.contexts.NotDefinedException

All Implemented Interfaces:
  Serializable

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class NotDefinedException

extends ContextException

Signals that an attempt was made to access the properties of an undefined object.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `NotDefinedException`, Serialized Form

Constructor Summary
`NotDefinedException(NotDefinedException e)` Deprecated. Constructs a new instance of `NotDefinedException`.
`NotDefinedException(String message)` Deprecated. Creates a new instance of this class with the specified detail message.

Method Summary

Methods inherited from class org.eclipse.ui.contexts.ContextException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotDefinedException

    public NotDefinedException(String message)

  Deprecated.
  Creates a new instance of this class with the specified detail message.

  Parameters:
    `message` - the detail message.

### NotDefinedException

    public NotDefinedException(NotDefinedException e)

  Deprecated.
  Constructs a new instance of `NotDefinedException`.

  Parameters:
    `e` - The exception being thrown; must not be `null`.
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.